Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1977 - (not kterm, kdebase!): kdm puts funny error in syslog
Summary: (not kterm, kdebase!): kdm puts funny error in syslog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-04 07:54 UTC by Jay Freeman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-04 16:49:56 UTC


Attachments (Terms of Use)

Description Jay Freeman 1999-04-04 07:54:13 UTC
Every time a user connects to kdm, the following message is
logged:

Apr  4 01:50:00 ironclad kdm[19848]: can't execute
"/usr/X11R6/lib/X11/xdm/Xsetup" (err 2)

I assume this is because the file that is there instead,
Xsetup_0, was renamed to that to allow a different Xsetup
file per X host, but kdm wasn't updated to this fact.  A
symlink would be easiest, but it would be nice if kdm had
this functionality as well.

BTW, kde* is missing from your component menu.

Comment 1 Cristian Gafton 1999-04-07 17:11:59 UTC
assigned to pbrown

Comment 2 Preston Brown 1999-04-07 18:13:59 UTC
you must have edited your /etc/X11/xdm/xdm-config at some time, or
have an older version, because the version we ship does point
correctly at Xsetup_0 not plain Xsetup.

Comment 3 Jay Freeman 1999-04-24 16:10:59 UTC
[root(2)@ironclad xdm]# rpm -q XFree86 kdebase
XFree86-3.3.3.1-41
kdebase-1.1-11
[root(2)@ironclad xdm]# rpm -V XFree86 kdebase | grep -
v "/usr/share/icons"
S.5....T c /etc/X11/xdm/Xservers
S.5....T c /etc/X11/xdm/Xsession
[root(2)@ironclad xdm]# grep Xsetup xdm-config # this part is right
DisplayManager._0.setup:        /etc/X11/xdm/Xsetup_0
[root(2)@ironclad xdm]# /etc/rc.d/init.d/xdm start
Starting KDE Display Manager:                              [  OK  ]

## Attempt remote connect from saurik.saurik.com ##

[root(2)@ironclad xdm]# tail /var/log/messages -n 6
Apr 24 11:04:26 ironclad xdm: kdm startup succeeded
Apr 24 11:04:55 ironclad kdm[20273]: can't
execute "/usr/X11R6/lib/X11/xdm/Xsetup" (err 2)
Apr 24 11:04:55 ironclad kdm[20274]: IO Error in XOpenDisplay
Apr 24 11:04:55 ironclad kdm[20266]: Display saurik:0 cannot be
opened
Apr 24 11:04:55 ironclad kdm[20266]: Display saurik:0 is being
disabled
Apr 24 11:04:58 ironclad kdm[20278]: can't
execute "/usr/X11R6/lib/X11/xdm/Xsetup" (err 2)

Now I am even getting the XOpenDisplay problem which I wasn't
before.  On top of all this, kdm DOES come up on the remote screen.
Now, let's log in:

[root(2)@ironclad xdm]# tail /var/log/messages -n 3
Apr 24 11:06:50 ironclad PAM_pwdb[20275]: (kde) session opened for
user saurik by (uid=0)
Apr 24 11:06:50 ironclad kdm[20266]: Unknown session exit code 2816
from process 20275
Apr 24 11:06:53 ironclad kdm[20385]: can't
execute "/usr/X11R6/lib/X11/xdm/Xsetup" (err 2)

Unknown exit code from 20275? PAM_pwdb?  At this point my login is
snuffed and I get disconnected.


Note You need to log in before you can comment on or make changes to this bug.